﻿
(function () {
    "use strict";

    WinJS.Binding.optimizeBindingReferences = true;

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // Initialize your application here.
            } else {
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll().then(init()));
        }
    };

    app.oncheckpoint = function (args) {
        // This application is about to be suspended. 
    };

    app.start();
})();

function init() {
    document.getElementById("numberButton").addEventListener("click", numberButtonClick);
}

function numberButtonClick() {
    displayGeneratedNumber();
}

//function generateNumber() {
//    var number = 1 + Math.floor(Math.random() * 1000);
//    return number;
//}

// Gets an object embedding a random number between 1 and 100
function displayGeneratedNumber() {
    var randomNumber = { generatedValue: Math.floor((Math.random() * 100) + 1) };

    // Enable binding on the HTML element of choice 
    var bindableElement = document.getElementById("numberContainer");
    WinJS.Binding.processAll(bindableElement, randomNumber);
}
