﻿var latLongApp = latLongApp || {};

latLongApp.map = null;
latLongApp.BingKey = "Apq-UqG6A2JPNGUKahXyd4Qun6buLlvzm9_sZCgcYlmZiSTU6hhOcIGjTa3n7WUW";

latLongApp.init = function () {
    document.getElementById("buttonLocation").addEventListener("click", latLongApp.getPosition);
    Microsoft.Maps.loadModule('Microsoft.Maps.Map', { culture: 'en-us' });
}

latLongApp.getPosition = function () {
    var geolocator = new Windows.Devices.Geolocation.Geolocator();
    geolocator.getGeopositionAsync().then(latLongApp.display, latLongApp.error);
}

latLongApp.setupMap = function () {
    try {
        var mapOptions = {
            credentials: latLongApp.BingKey,
            mapTypeId: Microsoft.Maps.MapTypeId.road,
            width: 500,
            height: 400
        };
        var mapDiv = document.getElementById("map");
        latLongApp.map = new Microsoft.Maps.Map(mapDiv, mapOptions);
    }
    catch (e) {
        latLongApp.alert(e.message);
    }
};

latLongApp.display = function (location) {
    document.getElementById("lat").innerHTML = location.coordinate.latitude;
    document.getElementById("long").innerHTML = location.coordinate.longitude;

    document.getElementById("map").innerHTML = "";
    latLongApp.setupMap();

    var mapCenter = latLongApp.map.getCenter();
    mapCenter.latitude = location.coordinate.latitude;
    mapCenter.longitude = location.coordinate.longitude;
    latLongApp.map.setView({ center: mapCenter, zoom: 16 });

    latLongApp.addPushPin(mapCenter);
    latLongApp.convertToAddress(mapCenter);
}

latLongApp.addPushPin = function (location) {
    latLongApp.map.entities.clear();
    var pushpin = new Microsoft.Maps.Pushpin(location, null);
    latLongApp.map.entities.push(pushpin);
}

latLongApp.convertToAddress = function (location) {
    var url = "http://dev.virtualearth.net/REST/v1/Locations/" +
              location.latitude +
              "," +
              location.longitude +
              "?o=json&key=" +
              latLongApp.BingKey; 
    WinJS.xhr({ url: url }).then(function (response) {
        var data = JSON.parse(response.responseText);
        var address = data.resourceSets[0].resources[0].name;
        var infoboxOptions = { zIndex: 3, title: address };
        var defaultInfobox = new Microsoft.Maps.Infobox(location, infoboxOptions);
        latLongApp.map.entities.push(defaultInfobox);
    });
}


latLongApp.error = function (args) {
    latLongApp.alert("Ooops, an error occurred!");
}

latLongApp.alert = function (message) {
    var alertDialog = new Windows.UI.Popups.MessageDialog(message);
    alertDialog.showAsync();
}