﻿var printerApp = printerApp || {};


printerApp.init = function () {
    document.getElementById("buttonPrint1").addEventListener("click", printerApp.print1, false);
    document.getElementById("buttonPrint2").addEventListener("click", printerApp.print2, false);

    var printManager = Windows.Graphics.Printing.PrintManager,
        printView = printManager.getForCurrentView();

    printView.onprinttaskrequested = function (eventArgs) {
        var printTask = eventArgs.request.createPrintTask("Print-n-Go", function (args) {
            printTask.options.displayedOptions.clear();
            printTask.options.displayedOptions.append(Windows.Graphics.Printing.StandardPrintTaskOptions.mediaSize);

            args.setSource(MSApp.getHtmlPrintDocumentSource(document));
            printTask.oncompleted = onPrintTaskCompleted;
        });
    };
    function onPrintTaskCompleted(eventArgs) {
        if (eventArgs.completion === Windows.Graphics.Printing.PrintTaskCompletion.failed) {
            printerApp.alert("Failed to print.");
        }
    }
}

printerApp.print1 = function () {
    printerApp.preparePrint1();
    Windows.Graphics.Printing.PrintManager.showPrintUIAsync();
}

printerApp.print2 = function () {
    printerApp.preparePrint2();
    Windows.Graphics.Printing.PrintManager.showPrintUIAsync();
}

printerApp.preparePrint1 = function () {
    document.getElementById("print-template2").style.display = 'none';
    document.getElementById("print-template1").style.display = '';
    document.getElementById("print-title1").textContent = "This text has been set just before printing!";
}

printerApp.preparePrint2 = function () {
    document.getElementById("print-template1").style.display = 'none';
    document.getElementById("print-template2").style.display = '';
    document.getElementById("print-title2").textContent = "Second template!";
}

printerApp.alert = function (message) {
    var alertDialog = new Windows.UI.Popups.MessageDialog(message);
    alertDialog.showAsync();
}