﻿var rssReaderApp = rssReaderApp || {};
var newsList = new WinJS.Binding.List();
var publicMembers = { ItemList: newsList };
WinJS.Namespace.define("RssReader", publicMembers);

rssReaderApp.init = function () {
    var newslistElement = document.getElementById("newslist");
    newslistElement.addEventListener("iteminvoked", itemInvoked);
    WinJS.xhr({ url: "http://news.google.com/news?pz=1&cf=all&ned=us&hl=en&topic=tc&output=rss" }).then(function (rss) {
        rssReaderApp.parseFeed(rss);
    });
    
}

rssReaderApp.parseFeed = function (rss) {
    var items = rss.responseXML.querySelectorAll("rss > channel > item");
    for (var n = 0; n < items.length; n++) {
        var newsElement = {};
        newsElement.title = items[n].querySelector("title").textContent;
        newsElement.link = items[n].querySelector("link").textContent;
        newsElement.guid = items[n].querySelector("guid").textContent;
        newsElement.category = items[n].querySelector("category").textContent;
        newsElement.pubDate = items[n].querySelector("pubDate").textContent;
        newsElement.description = items[n].querySelector("description").textContent;
        newsList.push(newsElement);
    }
}

function itemInvoked(e) {
    var currentArticle = newsList.getAt(e.detail.itemIndex);
    WinJS.Utilities.setInnerHTMLUnsafe(titleDetail, currentArticle.title);
    WinJS.Utilities.setInnerHTMLUnsafe(pubDateDetail, currentArticle.pubDate);
    WinJS.Utilities.setInnerHTMLUnsafe(categoryDetail, currentArticle.category);
    WinJS.Utilities.setInnerHTMLUnsafe(descriptionDetail, currentArticle.description);
}

rssReaderApp.alert = function (message) {
    var alertDialog = new Windows.UI.Popups.MessageDialog(message);
    alertDialog.showAsync();
}