﻿var SnapMeApp = SnapMeApp || {};

SnapMeApp.alert = function (message) {
    var alertDialog = new Windows.UI.Popups.MessageDialog(message);
    alertDialog.showAsync();
}

var SnapMeState = WinJS.Class.define(function () {
    var that = {};
    that.title = "SnapMe!";
    that.currentViewState = SnapMeApp.getViewStateForDisplay();
    that.total = 0;
    return that;
});


SnapMeApp.init = function () {
    SnapMeApp.Current = new SnapMeState();
    window.onresize = addEventListener('resize', SnapMeApp.onResize, false);

    var buttonCounter = document.getElementById("buttonCounter");
    buttonCounter.addEventListener("click", SnapMeApp.add);
    SnapMeApp.refresh();
}

SnapMeApp.add = function () {
    SnapMeApp.Current.total++;

    var viewState = Windows.UI.ViewManagement.ApplicationViewState;
    if (SnapMeApp.Current.total === 10 &&
        viewState === Windows.UI.ViewManagement.ApplicationViewState.snapped)
        Windows.UI.ViewManagement.ApplicationView.tryUnsnap();

    SnapMeApp.refresh();
}

SnapMeApp.refresh = function () {
    var stateElem = document.getElementById("currentViewState");
    stateElem.innerHTML = SnapMeApp.Current.currentViewState;

    var totalElem = document.getElementById("total");
    totalElem.innerHTML = SnapMeApp.Current.total;
}

SnapMeApp.getViewStateForDisplay = function () {
    var viewState = Windows.UI.ViewManagement.ApplicationView.value;
    switch (viewState) {
        case Windows.UI.ViewManagement.ApplicationViewState.snapped:
            return "I'm snapped now!";
        case Windows.UI.ViewManagement.ApplicationViewState.filled:
            return "I'm filled now!";
        case Windows.UI.ViewManagement.ApplicationViewState.fullScreenLandscape:
            return "I'm full screen landscape now!";
        case Windows.UI.ViewManagement.ApplicationViewState.fullScreenPortrait:
            return "I'm full screen portrait now!";
    }
}

SnapMeApp.onResize = function (e) {
    SnapMeApp.Current.currentViewState = SnapMeApp.getViewStateForDisplay();
    SnapMeApp.refresh();
}
