﻿var VideosApp = VideosApp || {};

VideosApp.alert = function (message) {
    var alertDialog = new Windows.UI.Popups.MessageDialog(message);
    alertDialog.showAsync();
}

var Clip = WinJS.Class.define(function (category, title, id) {
    var that = {};
    that.title = title;
    that.category = category;
    that.videoId = id;
    that.videoUrl = "http://www.youtube.com/embed/" + id + "?html5=1"; 
    that.posterUrl = "http://img.youtube.com/vi/" + id + "/1.jpg"; 
    return that;
});

VideosApp.init = function () {
    var videos = [
        new Clip("Shots", "Top 10 Best Tennis Shots Ever", "WyJM9-7OvZo"),
        new Clip("Fun", "Very funny point", "ybsbzV7fNEo"),
        new Clip("Shots", "Best shot of 2012", "tEAkvegtPyw"),
        new Clip("Shots", "Insane passing shot", "UH5TMp_bH8k"),
        new Clip("Events", "Most important match point", "xHUwmMyRVJI")
    ];

    // Create a WinJS.Binding.List from the array. 
    var videosList = new WinJS.Binding.List(videos);
    var videosListGrouped = videosList.createGrouped(
        function (clip) { return clip.category; },                // group key 
        function (clip) { return { category: clip.category } }    // data for group
    );

    var detailView = document.getElementById("listview-in").winControl;
    detailView.itemDataSource = videosListGrouped.dataSource;
    detailView.groupDataSource = videosListGrouped.groups.dataSource;
    detailView.itemTemplate = document.getElementById("zoomed-in-template");
    detailView.groupHeaderTemplate = document.getElementById("header-template");
    detailView.addEventListener("iteminvoked", VideosApp.select);

    var masterView = document.getElementById("listview-out").winControl;
    masterView.itemDataSource = videosListGrouped.groups.dataSource;
    masterView.itemTemplate = document.getElementById("zoomed-out-template");
}

VideosApp.select = function (eventInfo) {
    eventInfo.detail.itemPromise.then(function (clip) {
        var player = document.getElementById("player");  
        player.src = clip.data.videoUrl;
    });
}

